@charset "UTF-8";
@import "compass/css3";
$go-timeline-color: #2ECC71;
$chat-head-bg: #3c85fd;
.book-detail {
    .panel {
        padding: 0 15px;
    }
    .panel-body {
        padding: 15px 0;
    }
    .go-timeline {
        padding-top: 2em;
        list-style: none;
        background: #f4f4f4;
    }
    .metas {
        padding: 0;
        list-style: none;
        @include set-rem-ie8(line-height, 2);
        margin-bottom: 0;
    }
    .expressers {
        padding: 0 15px 15px;
        .h6 {
            margin-bottom: 1em;
        }
        ul {
            list-style: none;
            padding: 0;
            line-height: 2em;
            li {
                @include inline-block;
            }
        }
    }
    .header-panel {
        padding: 20px 15px 20px 15px;
        background: #f4f4f4;
    }
    .content-word-break {
        .tip {
            word-spacing: normal;
        }
    }
    .badge {
        min-width: 30px;
    }
    .badge.follower {
        min-width: 42px;
    }
    .bg-primary {
        background-color: #3f51b5;
        &:hover {
            background-color: #3949ab;
        }
    }
    @media screen and (min-width: 768px) {
        ::-webkit-scrollbar-thumb {
            background: #C3C3C3;
        }
    }
}

.chat {
    .header {
        position: relative;
        padding-top: 30px;
        > textarea {
            height: 105px;
            resize: none;
            border: 1px solid #3c85fd;
            padding-right: 120px;
        }
        > button {
            position: absolute;
            top: 31px;
            right: 1px;
            width: 115px;
            height: 103px;
            border-radius: 0 3px 3px 0;
            border: none;
            background: #3c85fd;
            color: #fff;
            text-align: center;
            > span {
                display: block;
            }
        }
    }
    .chat-wrap {
        overflow: hidden;
        > ul {
            list-style: none;
            padding: 0;
        }
        @at-root.chat-item {
            overflow: hidden;
            padding: 20px 0;
            border-bottom: 1px solid #e0e0e0;
            border-top: 1px solid #e0e0e0;
            margin-top: -1px;
            &:last-child {
                border-bottom: none;
            }
            &.has-child {
                padding-bottom: 0;
                .parent {
                    border-bottom: 1px solid #e0e0e0;
                }
            }
            .parent {
                // padding-bottom: 10px;
                overflow: hidden;
            }
            .sub {
                margin-left: 54px;
                padding: 0;
            }
            .reply {
                position: relative;
                float: left;
                width: 100%;
                display: none;
                padding-left: 70px;
                padding-top: 10px;
                height: 110px;
                margin-bottom: 20px;
                &:after,
                &:before {
                    position: absolute;
                    top: -5px;
                    right: 40px;
                    border-width: 8px;
                    border-style: solid;
                    border-color: transparent transparent #dedede transparent;
                    content: "";
                }
                &:after {
                    top: -4px;
                    border-color: transparent transparent #fff transparent;
                }
                textarea {
                    height: 110px;
                    resize: none;
                    padding-bottom: 40px;
                    &:focus {
                        border-color: #e4e4e4;
                    }
                }
                .re-footer {
                    background: #f2f2f2;
                    border-radius: 0 0 3px 3px;
                    margin-top: -41px;
                    height: 40px;
                    margin-left: 1px;
                    margin-right: 1px;
                    line-height: 40px;
                    padding-left: 10px;
                    position: relative;
                }
                button {
                    float: right;
                    margin-top: 3px;
                    margin-right: 10px;
                }
            }
            .main-info {
                position: relative;
                &.new:after {
                    position: absolute;
                    top: 0px;
                    left: 40px;
                    content: "";
                    width: 8px;
                    height: 8px;
                    background: #E2551D;
                    border-radius: 50%;
                }
                .avatar {
                    width: 44px;
                    height: 44px;
                    border-radius: 44px;
                    float: left;
                }
                .msg-wrap {
                    padding-left: 55px;
                    .name {
                        color: #3c85fd;
                        padding-right: 5px;
                    }
                    .company-name {
                        color: #BFBFBF;
                    }
                    .time {
                        display: inline-block;
                        float: right;
                    }
                    .msg{
                        white-space: pre-wrap;
                    }
                }
            }
            .others {
                float: right;
                margin-bottom: 10px;
                > button {
                    width: 100px;
                    float: right;
                }
                span {
                    padding-right: 5px;
                }
            }
        }
    }
}
.preview-info {
    color: #292929;
    .head-title {
        font-size: 24px;
        font-weight: 400;
    }
    p {
        color: #292929;
    }
    .item {
        font-size: 16px;
    }
    .desc {
        padding-left: 24px;
    }
    .other {
        white-space: pre-wrap;
        margin-top: 20px;
        margin-bottom: 20px;
    }
    .btns {
        padding-top: 30px;
    }
    .main-content {
        border-bottom: 1px solid #eee;
    }
}
